MODEL
MODEL_VERSION "v1998.8";
DESIGN "ti_cpld_a";

/* port names and type */
INPUT S:PIN39 = bus_a<3>;
INPUT S:PIN34 = bus_a<2>;
INPUT S:PIN37 = bus_a<1>;
INPUT S:PIN36 = bus_a<0>;
INPUT S:PIN25 = nWR;
INPUT S:PIN44 = nIORQ;
INPUT S:PIN33 = nRD;
INPUT S:PIN2 = ti_in<0>;
INPUT S:PIN40 = bus_a<4>;
INPUT S:PIN42 = bus_a<5>;
INPUT S:PIN28 = bus_a<6>;
INPUT S:PIN27 = bus_a<7>;
INPUT S:PIN24 = ti_in<1>;
INPUT S:PIN5 = ti_in<2>;
INPUT S:PIN6 = ti_in<3>;
INPUT S:PIN19 = ti_in<4>;
INPUT S:PIN7 = ti_in<5>;
TRIOUT S:PIN3 = bus_d<0>;
TRIOUT S:PIN4 = bus_d<1>;
TRIOUT S:PIN8 = bus_d<2>;
TRIOUT S:PIN22 = bus_d<3>;
TRIOUT S:PIN11 = bus_d<4>;
TRIOUT S:PIN13 = bus_d<6>;
OUTPUT S:PIN1 = ti_out<0>;
OUTPUT S:PIN43 = ti_out<1>;
OUTPUT S:PIN38 = ti_out<2>;
OUTPUT S:PIN35 = ti_out<3>;
OUTPUT S:PIN29 = ti_out<4>;
OUTPUT S:PIN26 = ti_out<5>;
TRIOUT S:PIN14 = bus_d<7>;
TRIOUT S:PIN20 = bus_d<5>;

/* timing arc definitions */
bus_a<3>_bus_d<0>_delay: DELAY (ENABLE_HIGH) bus_a<3> bus_d<0>;
bus_a<2>_bus_d<0>_delay: DELAY (ENABLE_HIGH) bus_a<2> bus_d<0>;
bus_a<1>_bus_d<0>_delay: DELAY (ENABLE_HIGH) bus_a<1> bus_d<0>;
bus_a<0>_bus_d<0>_delay: DELAY (ENABLE_HIGH) bus_a<0> bus_d<0>;
nIORQ_bus_d<0>_delay: DELAY (ENABLE_HIGH) nIORQ bus_d<0>;
nRD_bus_d<0>_delay: DELAY (ENABLE_HIGH) nRD bus_d<0>;
ti_in<0>_bus_d<0>_delay: DELAY (ENABLE_HIGH) ti_in<0> bus_d<0>;
bus_a<4>_bus_d<0>_delay: DELAY (ENABLE_HIGH) bus_a<4> bus_d<0>;
bus_a<5>_bus_d<0>_delay: DELAY (ENABLE_HIGH) bus_a<5> bus_d<0>;
bus_a<6>_bus_d<0>_delay: DELAY (ENABLE_HIGH) bus_a<6> bus_d<0>;
bus_a<7>_bus_d<0>_delay: DELAY (ENABLE_HIGH) bus_a<7> bus_d<0>;
bus_a<3>_bus_d<1>_delay: DELAY (ENABLE_HIGH) bus_a<3> bus_d<1>;
bus_a<2>_bus_d<1>_delay: DELAY (ENABLE_HIGH) bus_a<2> bus_d<1>;
bus_a<1>_bus_d<1>_delay: DELAY (ENABLE_HIGH) bus_a<1> bus_d<1>;
bus_a<0>_bus_d<1>_delay: DELAY (ENABLE_HIGH) bus_a<0> bus_d<1>;
nIORQ_bus_d<1>_delay: DELAY (ENABLE_HIGH) nIORQ bus_d<1>;
nRD_bus_d<1>_delay: DELAY (ENABLE_HIGH) nRD bus_d<1>;
bus_a<4>_bus_d<1>_delay: DELAY (ENABLE_HIGH) bus_a<4> bus_d<1>;
bus_a<5>_bus_d<1>_delay: DELAY (ENABLE_HIGH) bus_a<5> bus_d<1>;
bus_a<6>_bus_d<1>_delay: DELAY (ENABLE_HIGH) bus_a<6> bus_d<1>;
bus_a<7>_bus_d<1>_delay: DELAY (ENABLE_HIGH) bus_a<7> bus_d<1>;
ti_in<1>_bus_d<1>_delay: DELAY (ENABLE_HIGH) ti_in<1> bus_d<1>;
bus_a<3>_bus_d<2>_delay: DELAY (ENABLE_HIGH) bus_a<3> bus_d<2>;
bus_a<2>_bus_d<2>_delay: DELAY (ENABLE_HIGH) bus_a<2> bus_d<2>;
bus_a<1>_bus_d<2>_delay: DELAY (ENABLE_HIGH) bus_a<1> bus_d<2>;
bus_a<0>_bus_d<2>_delay: DELAY (ENABLE_HIGH) bus_a<0> bus_d<2>;
nIORQ_bus_d<2>_delay: DELAY (ENABLE_HIGH) nIORQ bus_d<2>;
nRD_bus_d<2>_delay: DELAY (ENABLE_HIGH) nRD bus_d<2>;
bus_a<4>_bus_d<2>_delay: DELAY (ENABLE_HIGH) bus_a<4> bus_d<2>;
bus_a<5>_bus_d<2>_delay: DELAY (ENABLE_HIGH) bus_a<5> bus_d<2>;
bus_a<6>_bus_d<2>_delay: DELAY (ENABLE_HIGH) bus_a<6> bus_d<2>;
bus_a<7>_bus_d<2>_delay: DELAY (ENABLE_HIGH) bus_a<7> bus_d<2>;
ti_in<2>_bus_d<2>_delay: DELAY (ENABLE_HIGH) ti_in<2> bus_d<2>;
bus_a<3>_bus_d<3>_delay: DELAY (ENABLE_HIGH) bus_a<3> bus_d<3>;
bus_a<2>_bus_d<3>_delay: DELAY (ENABLE_HIGH) bus_a<2> bus_d<3>;
bus_a<1>_bus_d<3>_delay: DELAY (ENABLE_HIGH) bus_a<1> bus_d<3>;
bus_a<0>_bus_d<3>_delay: DELAY (ENABLE_HIGH) bus_a<0> bus_d<3>;
nIORQ_bus_d<3>_delay: DELAY (ENABLE_HIGH) nIORQ bus_d<3>;
nRD_bus_d<3>_delay: DELAY (ENABLE_HIGH) nRD bus_d<3>;
bus_a<4>_bus_d<3>_delay: DELAY (ENABLE_HIGH) bus_a<4> bus_d<3>;
bus_a<5>_bus_d<3>_delay: DELAY (ENABLE_HIGH) bus_a<5> bus_d<3>;
bus_a<6>_bus_d<3>_delay: DELAY (ENABLE_HIGH) bus_a<6> bus_d<3>;
bus_a<7>_bus_d<3>_delay: DELAY (ENABLE_HIGH) bus_a<7> bus_d<3>;
ti_in<3>_bus_d<3>_delay: DELAY (ENABLE_HIGH) ti_in<3> bus_d<3>;
bus_a<3>_bus_d<4>_delay: DELAY (ENABLE_HIGH) bus_a<3> bus_d<4>;
bus_a<2>_bus_d<4>_delay: DELAY (ENABLE_HIGH) bus_a<2> bus_d<4>;
bus_a<1>_bus_d<4>_delay: DELAY (ENABLE_HIGH) bus_a<1> bus_d<4>;
bus_a<0>_bus_d<4>_delay: DELAY (ENABLE_HIGH) bus_a<0> bus_d<4>;
nIORQ_bus_d<4>_delay: DELAY (ENABLE_HIGH) nIORQ bus_d<4>;
nRD_bus_d<4>_delay: DELAY (ENABLE_HIGH) nRD bus_d<4>;
bus_a<4>_bus_d<4>_delay: DELAY (ENABLE_HIGH) bus_a<4> bus_d<4>;
bus_a<5>_bus_d<4>_delay: DELAY (ENABLE_HIGH) bus_a<5> bus_d<4>;
bus_a<6>_bus_d<4>_delay: DELAY (ENABLE_HIGH) bus_a<6> bus_d<4>;
bus_a<7>_bus_d<4>_delay: DELAY (ENABLE_HIGH) bus_a<7> bus_d<4>;
ti_in<4>_bus_d<4>_delay: DELAY (ENABLE_HIGH) ti_in<4> bus_d<4>;
bus_a<7>_bus_d<5>_delay: DELAY (ENABLE_HIGH) bus_a<7> bus_d<5>;
bus_a<6>_bus_d<5>_delay: DELAY (ENABLE_HIGH) bus_a<6> bus_d<5>;
bus_a<3>_bus_d<5>_delay: DELAY (ENABLE_HIGH) bus_a<3> bus_d<5>;
bus_a<2>_bus_d<5>_delay: DELAY (ENABLE_HIGH) bus_a<2> bus_d<5>;
bus_a<1>_bus_d<5>_delay: DELAY (ENABLE_HIGH) bus_a<1> bus_d<5>;
bus_a<0>_bus_d<5>_delay: DELAY (ENABLE_HIGH) bus_a<0> bus_d<5>;
nIORQ_bus_d<5>_delay: DELAY (ENABLE_HIGH) nIORQ bus_d<5>;
nRD_bus_d<5>_delay: DELAY (ENABLE_HIGH) nRD bus_d<5>;
bus_a<4>_bus_d<5>_delay: DELAY (ENABLE_HIGH) bus_a<4> bus_d<5>;
bus_a<5>_bus_d<5>_delay: DELAY (ENABLE_HIGH) bus_a<5> bus_d<5>;
bus_a<7>_bus_d<6>_delay: DELAY (ENABLE_HIGH) bus_a<7> bus_d<6>;
bus_a<6>_bus_d<6>_delay: DELAY (ENABLE_HIGH) bus_a<6> bus_d<6>;
bus_a<3>_bus_d<6>_delay: DELAY (ENABLE_HIGH) bus_a<3> bus_d<6>;
bus_a<5>_bus_d<6>_delay: DELAY (ENABLE_HIGH) bus_a<5> bus_d<6>;
bus_a<4>_bus_d<6>_delay: DELAY (ENABLE_HIGH) bus_a<4> bus_d<6>;
nRD_bus_d<6>_delay: DELAY (ENABLE_HIGH) nRD bus_d<6>;
nIORQ_bus_d<6>_delay: DELAY (ENABLE_HIGH) nIORQ bus_d<6>;
bus_a<0>_bus_d<6>_delay: DELAY (ENABLE_HIGH) bus_a<0> bus_d<6>;
bus_a<1>_bus_d<6>_delay: DELAY (ENABLE_HIGH) bus_a<1> bus_d<6>;
bus_a<2>_bus_d<6>_delay: DELAY (ENABLE_HIGH) bus_a<2> bus_d<6>;
ti_in<5>_bus_d<6>_delay: DELAY (ENABLE_HIGH) ti_in<5> bus_d<6>;
bus_a<6>_bus_d<7>_delay: DELAY (ENABLE_HIGH) bus_a<6> bus_d<7>;
bus_a<5>_bus_d<7>_delay: DELAY (ENABLE_HIGH) bus_a<5> bus_d<7>;
bus_a<4>_bus_d<7>_delay: DELAY (ENABLE_HIGH) bus_a<4> bus_d<7>;
nIORQ_bus_d<7>_delay: DELAY (ENABLE_HIGH) nIORQ bus_d<7>;
bus_a<0>_bus_d<7>_delay: DELAY (ENABLE_HIGH) bus_a<0> bus_d<7>;
bus_a<1>_bus_d<7>_delay: DELAY (ENABLE_HIGH) bus_a<1> bus_d<7>;
bus_a<2>_bus_d<7>_delay: DELAY (ENABLE_HIGH) bus_a<2> bus_d<7>;
bus_a<3>_bus_d<7>_delay: DELAY (ENABLE_HIGH) bus_a<3> bus_d<7>;
nRD_bus_d<7>_delay: DELAY (ENABLE_HIGH) nRD bus_d<7>;
bus_a<7>_bus_d<7>_delay: DELAY (ENABLE_HIGH) bus_a<7> bus_d<7>;

/* timing check arc definitions */

ENDMODEL
